@-moz-document domain(gamefaqs.com)
{
    .gamefox-quickwhois
    {
        position: absolute;
        max-width: 70%;
        overflow: auto;
        padding: 3px !important;
        text-align: left;
        /* Compatibility with themes that put a border here, since our absolute
         * position offset is hardcoded at 4px */
        border: 1px transparent solid;
        z-index: 1;

        -moz-border-radius: 5px;
        box-shadow: 0 0 10px #555;
        -moz-box-shadow: 0 0 10px #555;
        -moz-transition: opacity .3s;
    }
    .gamefox-quickwhois a.name
    {
        margin-bottom: 2px;
        margin-right: 10px;
        vertical-align: top;
    }
    .gamefox-quickwhois:not(.gamefox-quickwhois-hover) a.name
    {
        /* Don't show the username with non-hover QuickWhois, since it doesn't
         * obscure the original username link */
        display: none;
    }

    .gamefox-quickwhois-friend-pm
    {
        position: relative;
        top: -2px;
    }
    .gamefox-quickwhois-friend-pm form
    {
        display: inline !important;
    }
    /* This <span> contains the Friends section. If the user is already on
     * someone's friends list, it'll contain text instead of form buttons. We
     * want to hide the text and style the <a> to look like one of the buttons
     */
    .gamefox-quickwhois-friend-pm span
    {
        font-size: 0;
    }
    .gamefox-quickwhois-friend-pm a,
    .gamefox-quickwhois-friend-pm input[type="submit"]
    {
        background-repeat: no-repeat;
        height: 16px;
        width: 16px;
        margin-right: 5px;
        outline: 0;
    }
    .gamefox-quickwhois-friend-pm a
    {
        vertical-align: top;
        display: inline-block;
        width: 16px;
        height: 16px;
        background-image: url('chrome://gamefox/content/css/images/gamefox-quic\
kwhois/friend.png');
        background-position: 0 1px;
    }
    .gamefox-quickwhois-friend-pm input[type="submit"]
    {
        background-color: transparent;
        -moz-appearance: none;
        border: 0;
        text-indent: -1000em;
        cursor: pointer;
    }
    .gamefox-quickwhois-friend-pm input[name="WAT"]
    {
        background-image: url('chrome://gamefox/content/css/images/gamefox-quic\
kwhois/follow.png');
    }
    .gamefox-quickwhois-friend-pm input[name="FRE"]
    {
        background-image: url('chrome://gamefox/content/css/images/gamefox-quic\
kwhois/add.png');
    }
    .gamefox-quickwhois-friend-pm form[action="/pm/new"] input[type="submit"]
    {
        background-image: url('chrome://gamefox/content/css/images/gamefox-quic\
kwhois/pm.png');
    }

    .gamefox-quickwhois table
    {
        width: auto !important;
        border: 0 !important;
        border-collapse: collapse !important; /* RetroClassic */
    }
    .gamefox-quickwhois tr, .gamefox-quickwhois td
    {
        background-color: transparent !important;
    }
    .gamefox-quickwhois td
    {
        padding: 2px 0 0 0 !important;
        border: 0 !important;
    }
    /* First row shouldn't have top padding, but there's an empty row first, so
     * it's actually the second child */
    .gamefox-quickwhois tr:nth-child(2) td
    {
        padding-top: 0 !important;
    }
    .gamefox-quickwhois td:first-child
    {
        text-align: right;
        padding-right: 5px !important;
        opacity: .6;
        white-space: nowrap;
    }
    .gamefox-quickwhois td a
    {
        font-weight: normal !important; /* Ninestalgia */
    }
}
